from matplotlib import pyplot as pl
import numpy as np

"""pl.scatter(np.array([-82]),np.array([1.5]),color='r')#BAO
pl.scatter(np.array([85.1]),np.array([2.7]),color='y')#MetaBO
pl.scatter(np.array([10.43]),np.array([1.66]),color='m')#DIV
pl.scatter(np.array([5.16]),np.array([1.69]),color='g')#U
pl.scatter(np.array([99.9]),np.array([1.2]),color='orange')#LAL
#pl.plot(range(-100,100),np.zeros(200),'--',color='b')
#pl.plot(np.zeros(610),range(-10,600),np.zeros(200),'--',color='b')

pl.scatter(np.array([0]),np.array([0]),color='b')
pl.show()
"""

#pl.scatter(np.array([.409]),np.array([1.94]),color='r')#BAO
#pl.scatter(np.array([13.2]),np.array([.035]),color='y')#MetaBO
#pl.scatter(np.array([.182]),np.array([.94]),color='m')#DIV
#pl.scatter(np.array([.155]),np.array([.92]),color='g')#U

#pl.scatter(np.array([.163]),np.array([1.377]),color='b')
#pl.show()

"""
#########RNS#################
pl.scatter(np.array([-.43]),np.array([1.94]),color='r')#BAO
pl.scatter(np.array([1.78]),np.array([.0289]),color='y')#MetaBO
pl.scatter(np.array([2.08]),np.array([2.16]),color='orange')#LAL

pl.scatter(np.array([0]),np.array([2.28]),color='b')#Meta
pl.show()

#########PLANE##############
pl.scatter(np.array([.661]),np.array([3.81E-6]),color='r')#BAO
pl.scatter(np.array([.1497]),np.array([.92]),color='y')#MDiversity
pl.scatter(np.array([.0483]),np.array([.92]),color='g')#Uncertainty


pl.scatter(np.array([0]),np.array([1.377]),color='b')#Meta
pl.show()
"""



#########RNS Log Scale#################


pl.scatter(np.array([.369]),np.array([1.00]),color='r',s=100)#BAO
pl.scatter(np.array([61]),np.array([.42]),color='y',s=100)#MetaBO
pl.scatter(np.array([120.9]),np.array([1.06]),color='orange',s=100)#LAL

pl.scatter(np.array([1]),np.array([1.58]),color='b',s=100)#Meta
pl.xscale("log")
pl.show()

#########PLANE Log Scale##############

pl.scatter(np.array([4.58]),np.array([3.81E-6]),color='y',s=100)#BAO
pl.scatter(np.array([1.411]),np.array([.94]),color='r',s=100)#MDiversity
pl.scatter(np.array([1.11]),np.array([.92]),color='g',s=100)#Uncertainty
pl.scatter(np.array([68.8]),np.array([.94]),color='orange',s=100)#LAL

pl.scatter(np.array([1]),np.array([1.377]),color='b',s=100)#Meta
pl.xscale("log")
pl.show()